Subject: [Ietf-and-github] Adam Roach's No Objection on draft-ietf-git-using-github-05: (with COMMENT)

From: Adam Roach via Datatracker <[email-masked]>
Date: Wed, 11 Mar 2020 17:48:42 -0700

Adam Roach has entered the following ballot position for
draft-ietf-git-using-github-05: No Objection

When responding, please keep the subject line intact and reply to all
email addresses included in the To and CC lines. (Feel free to cut this
introductory paragraph, however.)

Please refer to https://www.ietf.org/iesg/statement/discuss-criteria.html
for more information about IESG DISCUSS and COMMENT positions.

The document, along with other ballot positions, can be found here:
https://datatracker.ietf.org/doc/draft-ietf-git-using-github/

----------------------------------------------------------------------
COMMENT:
----------------------------------------------------------------------

Thanks for the work that went into this document. While I don't feel very
strongly about it, I tend to agree with the voices arguing for recharacterizing
this document as Informational. I will leave it to the sponsoring AD to handle
this issue as she sees fit.

Section 1.2:

   GitHub is a service operated at https://github.com/
   (https://github.com/).

The parenthetical seems unnecessary.

   GitHub is freely accessible on the open Internet,
   albeit currently only via IPv4.

One sincerely hopes that this second clause will age badly. Perhaps qualify it
with “at the time this document is published.” Alternately, remove the clause,
as it adds virtually nothing to the document.

Section 1.5:
   The words "MUST", "MUST NOT", "SHOULD", "SHOULD NOT", and "MAY" are
   used in this document.  It's not shouting; when they are capitalized,
   they have the special meaning defined in BCP 14 [RFC2119] [RFC8174].

Please use the boilerplate from RFC 8174.

Section 3.2:
   Repositories for private documents MAY
   be kept private, but only where there is a specific reason for doing
   so.

This seems really odd, completely undetectable/unenforceable, and actually
harmful. It is common practice for editors to just keep their source local and
only submit the output of such source to the i-d repository; and that’s just
fine. This seems to say that such users are effectively forbidden to have their
source equally private but also effectively backed-up and revision-controlled
by one specific online service. It seems strictly better to allow and even
encourage this, to prevent a loss of data.

---

From: "Martin Thomson" <[email-masked]>
Date: Thu, 12 Mar 2020 12:11:02 +1100

> The parenthetical seems unnecessary.

That's a consequence of attempting to turn the link into a link.  In HTML, this looks fine and having a link is good.  This is the result of the xml2rfc text rendering.  I'm opening an issue.
 
A couple of your comments are addressed already in https://github.com/ietf-gitwg/using-github/pull/43
 
> encourage this, to prevent a loss of data.

I might revise this statement.  As you say, it's meaningless.  But the admonition about operating in secret is probably worth retaining.  How about: https://github.com/ietf-gitwg/using-github/pull/49

---

From: "Martin Thomson" <[email-masked]>
Date: Thu, 12 Mar 2020 12:19:04 +1100

As an aside, I just worked out how to do bare links in kramdown.  It's not intuitive.

BAD:
[https://github.com](https://github.com)
BAD:
<https://github.com>
GOOD:
[](https://github.com)

On Thu, Mar 12, 2020, at 12:11, Martin Thomson wrote:
> That's a consequence of attempting to turn the link into a link.  In 
> HTML, this looks fine and having a link is good.  This is the result of 
> the xml2rfc text rendering.  I'm opening an issue.
>  
> A couple of your comments are addressed already in 
> https://github.com/ietf-gitwg/using-github/pull/43
>  
> > Section 3.2:
> I might revise this statement.  As you say, it's meaningless.  But the 
> admonition about operating in secret is probably worth retaining.  How 
> about: https://github.com/ietf-gitwg/using-github/pull/49
> 
> _______________________________________________
> Ietf-and-github mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/ietf-and-github
>

---

From: Adam Roach <[email-masked]>
Date: Wed, 11 Mar 2020 20:31:03 -0500

On 3/11/2020 8:19 PM, Martin Thomson wrote:
> about:https://github.com/ietf-gitwg/using-github/pull/49

Thanks. The removal of normative language is an improvement, but the 
guidance appears to be the same. I think there's a difference of 
perception here. I agree that an open repository is better than a 
private one; but I also think that a private repository is strictly 
better than not using an SCM at all, and I'm more concerned about the 
implications of this language on the second point than the first.

/a

---

From: "Martin Thomson" <[email-masked]>
Date: Thu, 12 Mar 2020 12:35:59 +1100

> implications of this language on the second point than the first.

(Weird quoting...)

The advice was intended to be about Working Groups doing official business in private.  Do you think that the new language is wrong in principle, or is it that I've just made a hash of the transcription of the concept?

For reference:
> Maintaining private repositories for Working Group documents is not recommended without specific cause.  For instance, a document that details a security vulnerability might be kept private prior to its initial publication as an Internet-Draft. Once an Internet-Draft is published, repositories SHOULD be made public.

---

From: Adam Roach <[email-masked]>
Date: Wed, 11 Mar 2020 20:40:05 -0500

> The advice was intended to be about Working Groups doing official business in private.  Do you think that the new language is wrong in principle, or is it that I've just made a hash of the transcri…

Private to whom? If you're talking about authors setting up repositories 
that only the author or authors can get to, I think the guidance is off. 
Such behavior should be considered neutral to good, as the alternative 
is virtually guaranteed to be not using an SCM at all.

If you're talking about a WG repository that is private but that can be 
accessed by some non-author subset of a working group, then I agree 
that's a problem.

If that's in line with the discussion in the working group, then I think 
it's possible to write language that distinguishes between these two cases.

/a

---

From: "Eric Vyncke (evyncke)" <[email-masked]>
Date: Thu, 12 Mar 2020 11:47:42 +0000

Adam,

About your point below

     AR>  GitHub is freely accessible on the open Internet,
       albeit currently only via IPv4.
    
    AR> One sincerely hopes that this second clause will age badly. Perhaps qualify it
    with “at the time this document is published.” Alternately, remove the clause,
    as it adds virtually nothing to the document.
    
I agree with your hope but I strongly object to remove sentence. This is already a major issue that the IETF & IESG are proposing a single commercial server; but, at least let's state that it deviates from the IAB statement about IPv6 [1] so let's keep this sentence of course with a timestamp as you proposed.

Regards

-éric

[1] https://www.iab.org/2016/11/07/iab-statement-on-ipv6/

---

From: Dan York <[email-masked]>
Date: Thu, 12 Mar 2020 14:48:27 +0000

I agree with Eric’s comment here… 

> On Mar 12, 2020, at 7:47 AM, Eric Vyncke (evyncke) <evyncke=[email-masked]> wrote:
> 

… because I’ve had to repeatedly answer criticism about using services that deviate from the IAB guidance on IPv6 (and the overall promotion of IPv6 throughout IETF activities).  Let’s just explicitly state that we are using GitHub with the full awareness that it does NOT comply with that IPv6 guidance. 

Per Adam’s suggestion, perhaps the text of the sentence should be:

> GitHub is freely accessible on the open Internet, albeit only via IPv4 at the time this document is published.

Regards,
Dan

---

From: "Eric Vyncke (evyncke)" <[email-masked]>
Date: Thu, 12 Mar 2020 14:57:36 +0000

And the 'freely accessible' is also for now, we do not know Microsoft plan (at least I do not know)

-éric

-----Original Message-----
From: iesg <[email-masked]> on behalf of Dan York <[email-masked]>
Date: Thursday, 12 March 2020 at 15:49
To: "Eric Vyncke (evyncke)" <evyncke=[email-masked]>
Cc: "[email-masked]" <[email-masked]>, "[email-masked]" <[email-masked]>, "[email-masked]" <[email-masked]>, The IESG <[email-masked]>, Adam Roach <[email-masked]>, "[email-masked]" <[email-masked]>
Subject: Re: [Ietf-and-github] Adam Roach's No Objection on draft-ietf-git-using-github-05: (with COMMENT)

    

    Regards,
    Dan

---

From: Dan York <[email-masked]>
Date: Thu, 12 Mar 2020 15:01:09 +0000

> On Mar 12, 2020, at 10:57 AM, Eric Vyncke (evyncke) <[email-masked]> wrote:
> 

Well, true… okay, so then the sentence could be:

  "At the time this document is published, GitHub is freely accessible on the open Internet, albeit only via IPv4.”

That should cover both parts of that sentence.

Dan

---

From: Alexandre Petrescu <[email-masked]>
Date: Thu, 12 Mar 2020 16:02:36 +0100

>> GitHub is freely accessible on the open Internet, albeit only via IPv4 at the time this document is published.

BCP MUST github IPv6.  At this time, github.com is not a BCP.  This BCP 
does not recommend github.com.  This BCP requires to not use github.com. 
  This BCP states that github.com MUST not be used at this time.

Please let us make things simple.  Please do not turn and turn and turn 
statements after statements.

Things are what they are lets name them.

Alex